Bug 1309882 - Security: NSIS < 2.50 allows DLL hijacking
Security: NSIS < 2.50 allows DLL hijacking
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw32-nsis (Show other bugs)
23
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 16:40 EST by H. Peter Anvin
Modified: 2016-12-06 20:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-06 20:22:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H. Peter Anvin 2016-02-18 16:40:08 EST
Description of problem:
The Nullsoft Scriptable Install System version < 2.50 contains a DLL hijacking attack which allows administrative (root) level access on the target Windows system. 

Version-Release number of selected component (if applicable):
mingw32-nsis-2.46-16.fc23.x86_64

Additional info:
http://nsis.sourceforge.net/Docs/AppendixF.html#v2.50
http://sf.net/p/nsis/bugs/1125
Comment 1 Richard W.M. Jones 2016-02-18 17:05:08 EST
I've upgraded Rawhide to 2.50:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13039851

Assuming that build works after a bit of testing, I think the
best thing will be to upgrade all the other branches to the
same version.  AFAIK there are no ABI/compatibility problems
between 2.46 & 2.50 that would prevent that, at least, nothing
jumps out from the release notes except possibly the
changed RequestExecutionLevel default.
Comment 2 Fedora Update System 2016-02-18 17:46:40 EST
mingw-nsis-2.50-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-637618fcd4
Comment 3 Fedora Update System 2016-02-18 17:47:05 EST
mingw-nsis-2.50-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24d134e494
Comment 4 Fedora Update System 2016-02-21 12:59:32 EST
mingw-nsis-2.50-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-637618fcd4
Comment 5 Fedora Update System 2016-02-21 13:28:23 EST
mingw-nsis-2.50-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24d134e494
Comment 6 Fedora End Of Life 2016-11-24 10:38:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora Update System 2016-12-06 20:22:48 EST
mingw-nsis-2.50-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.